;; $Id: info.ss,v 1.10 2006/01/18 23:17:27 leavens Exp $
;;; Copyright (C) 2006 Iowa State University
;;;
;;; This file is part of Typedscm.
;;;
;;; This library is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU Lesser General Public License
;;; as published by the Free Software Foundation; either version 2.1,
;;; of the License, or (at your option) any later version.
;;;
;;; This library is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; Lesser General Public License for more details.
;;;
;;; You should have received a copy of the GNU Lesser General Public
;;; License along with Typedscm; see the file LesserGPL.txt.  If not,
;;; write to the Free Software Foundation, Inc., 51 Franklin St, Fifth
;;; Floor, Boston, MA 02110-1301 USA.

(module info (lib "infotab.ss" "setup")
  (require (lib "string-constant.ss" "string-constants"))

  (define name "Typedscm")
  (define blurb
    (list
     "Typedscm is a typed extension to the EoPL(2e) dialect of Scheme. "
     "It allows one to write type declarations, and does type checking and inference."))
  (define doc.txt "README.txt")
  (define tools (list (list "typedscm-tool.ss")))
  (define tool-icons (list '("typedscm-icon.gif" "typedscm")))
  ; (define tool-icons (list "typedscm-icon.gif"))
  (define tool-names (list "Typed extension to the EoPL language"))
  (define tool-urls (list "http://www.cs.iastate.edu/~leavens/typedscm/"))
  (define textbook-pls
    (list (list '("eopl-small.gif" "eopl")
		"Essentials of Programming Languages, with types"
                (string-constant teaching-languages)
                "Typedscm, typed extension to EoPL(2e)")))
  (define categories '(devtools misc))
  (define homepage "http://www.cs.iastate.edu/~leavens/typedscm/")
  (define primary-file "typedscm.ss")
  )

